Bug 1124453 - getconf PATH returns non-directory "/bin"
Summary: getconf PATH returns non-directory "/bin"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Siddhesh Poyarekar
QA Contact: Arjun Shankar
URL:
Whiteboard:
Depends On:
Blocks: 1138835
TreeView+ depends on / blocked
 
Reported: 2014-07-29 14:13 UTC by Jacob Hunt
Modified: 2019-04-16 14:14 UTC (History)
6 users (show)

Fixed In Version: glibc-2.17-61.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1138835 (view as bug list)
Environment:
Last Closed: 2015-03-05 07:17:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0327 normal SHIPPED_LIVE Moderate: glibc security and bug fix update 2015-03-05 12:10:38 UTC

Description Jacob Hunt 2014-07-29 14:13:52 UTC
Description of problem:

With RHEL7 merging /bin into /usr/bin and turning it into a symlink, but "getconf PATH" is still returning the "/bin" component:
======
$ getconf PATH
/bin:/usr/bin
======

And of course the library POSIX call confstr(_CS_PATH,...) is also returning the erroneous "/bin:/usr/bin" string.

It should now just be "/usr/bin".

Comment 1 Carlos O'Donell 2014-07-29 14:44:04 UTC
We can fix this in Fedora and RHEL. It won't go upstream and it will be a distro specific customization for distributions that have acceted "Move To /usr".

Technically this is a hard-coded define in:
sysdeps/unix/confstr.h:#define	CS_PATH	"/bin:/usr/bin"

Easy enough to adjust, and that should fix getconf and confstr. QE should verify.

Comment 5 errata-xmlrpc 2015-03-05 07:17:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0327.html


Note You need to log in before you can comment on or make changes to this bug.